Get by CUSIP
Companies
Get by CUSIP
Locate companies using Committee on Uniform Securities Identification Procedures (CUSIP) numbers, enabling coverage of both equities and fixed income instruments.
POST
Get by CUSIP
Documentation Index
Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Body
application/json
Request body for CUSIP lookups
Array of CUSIP codes
Example:
["037833100"]Response
200 - application/json
Successful response with company data mapped by CUSIP
Response containing company data mapped by market identifiers
Object containing market identifiers as keys and company data as values
Example:
{
"US0378331005": {
"id": "D8442A",
"name": "Apple Inc.",
"description": "Apple Inc. (formerly Apple Computer Inc.), incorporated on January 03, 1977, designs, manufactures, and markets mobile communication and media devices, personal computing products, and portable digital music players worldwide.",
"type": "PUBLIC",
"country": "US",
"sector": "Technology",
"industry_group": "Computer Hardware",
"industry": "Computer Hardware",
"favicon": "http://www.apple.com/favicon.ico",
"webpage": "http://www.apple.com",
"isin_values": [
"CA03785Y1007",
"TH0150120408",
"TH0809121500",
"US0378331005"
],
"cusip_values": [
"037833100",
"03785Y100",
"P0R684385",
"Y100G4352",
"Y49876132"
],
"sedol_values": ["2046251", "BNC31R1", "BPXWT99", "BVBDDG1"],
"listing_values": ["XBKK:AAPL80", "XNAS:AAPL"]
}
}